Browse Source

(airflow) - Updated deckhand reference

Updated deckhand commit id, because apache airflow release 1.10.3 and
later use flask >=1.1.0, which needs Werkzeug library version >=0.15.0.
see: https://issues.apache.org/jira/browse/AIRFLOW-4900

The updated deckhand commit lets the Werkzeug package float to >=0.15.0.

Change-Id: I62d7f4e5eecb2f05035a1c9552544aa65e70ee3f
changes/61/682161/3
Ahmad Mahmoudi 2 years ago
committed by Matthew Carter
parent
commit
815eef7f5d
  1. 2
      images/airflow/requirements.txt
  2. 2
      src/bin/shipyard_airflow/requirements.txt

2
images/airflow/requirements.txt

@ -25,6 +25,6 @@ kubernetes>=6.0.0
marshmallow-sqlalchemy==0.18.0
# Dependencies for other UCP components
git+https://git.openstack.org/openstack/airship-deckhand@a76ffb66ae809c19281a6cf5c9414ed197d249b7#egg=deckhand
git+https://git.openstack.org/openstack/airship-deckhand@7e5d81f50f1f8c0d58d0973ae0b3065fd5b62451#egg=deckhand
git+https://git.openstack.org/openstack/airship-drydock.git@22a4f01cb7880828f7b955c56d53603b6170415a#egg=drydock_provisioner&subdirectory=python
git+https://git.openstack.org/openstack/airship-armada.git@af8a9ffd0873c2fbc915794e235dbd357f2adab1#egg=armada

2
src/bin/shipyard_airflow/requirements.txt

@ -40,6 +40,6 @@ Werkzeug>=0.15.0
marshmallow-sqlalchemy==0.18.0
# Dependencies for other UCP components
git+https://git.openstack.org/openstack/airship-deckhand@a76ffb66ae809c19281a6cf5c9414ed197d249b7#egg=deckhand
git+https://git.openstack.org/openstack/airship-deckhand@7e5d81f50f1f8c0d58d0973ae0b3065fd5b62451#egg=deckhand
git+https://git.openstack.org/openstack/airship-drydock.git@22a4f01cb7880828f7b955c56d53603b6170415a#egg=drydock_provisioner&subdirectory=python
git+https://git.openstack.org/openstack/airship-armada.git@af8a9ffd0873c2fbc915794e235dbd357f2adab1#egg=armada

Loading…
Cancel
Save